Bug 299997 - Folders Treeview doesn't expand if contents only symlinked dirs
Summary: Folders Treeview doesn't expand if contents only symlinked dirs
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: folders (show other bugs)
Version: 2.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords: junior-jobs, regression, reproducible
Depends on:
Blocks:
 
Reported: 2012-05-14 12:53 UTC by Thomas Kent
Modified: 2012-06-09 11:38 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Kent 2012-05-14 12:53:04 UTC
When using the folders panel treeview, if a directory [red] contains symlinks to other directories [green, blue], it [red] will not be able to expand, and thus they symlinked directories themselves [green, blue] won't be expandable, because you can't see them. However if you add a single non-symlinked directory [orange] to the original directory [red], then all the expansion works. 

Here's screenshots showing the bug:
Two folders, one contains directories One (with subdirectory), Two, Three; the other contains symlinks to these three directories. On the right side, both are expandable
http://teeks99.com/keep/SymlinkTreeBug/UnExpanded.png

Here's the tree's expansion of the normal directory
http://teeks99.com/keep/SymlinkTreeBug/RealContents.png

Here's the attempt to expand the directory containing the symlinks:
http://teeks99.com/keep/SymlinkTreeBug/Symlinks.png

Here's the workaround (adding a real dir to the symlinks dir):
http://teeks99.com/keep/SymlinkTreeBug/Workaround.png

Reproducible: Always

Steps to Reproduce:
1. Make a folder with sub folders, see tree expansion
2. Make another folder with symlinks to each of the sub-folders in the original, no tree expansion
3. Add a normal (non-symlinked) folder to the second folder, refresh, see the tree expansion.
Actual Results:  
Workaround solved the problem.

Expected Results:  
Workaround solved the problem.
Comment 1 Peter Penz 2012-05-14 13:11:56 UTC
Thanks for the report, I currently did not had the time to verify this, but could you please let us know your KDE version first (4.8.3?) Thanks!
Comment 2 Thomas Kent 2012-05-14 13:52:01 UTC
Dolphin 2.0, KDE 4.8.2.
Comment 3 Peter Penz 2012-05-14 14:13:27 UTC
Thanks for the update, I could also reproduce the issue with 4.8.3 + master
Comment 4 Peter Penz 2012-06-09 11:38:23 UTC
Git commit 3c3d437d58a0cf36a6e0efc1205ccbf0c368eb88 by Peter Penz.
Committed on 09/06/2012 at 13:34.
Pushed by ppenz into branch 'master'.

Folders Panel: Also count directory links

... otherwise no expansion toggle will be shown. The implementation
is a compromise between performance and correctness: If the directory
contains links that are not directories, an unnecessary expansion
toggle will be shown. But this is better than showing no expansion
toggle in case if the directory contains links that point to other
directories.
FIXED-IN: 4.9.0

M  +8    -3    dolphin/src/kitemviews/kfileitemmodelrolesupdater.cpp

http://commits.kde.org/kde-baseapps/3c3d437d58a0cf36a6e0efc1205ccbf0c368eb88